Bug 14487 - [FR] use RAID1 for default profile if two identical HDDs are found
: [FR] use RAID1 for default profile if two identical HDDs are found
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://lists.altlinux.org/pipermail/l...
:
:
: 15558
  Show dependency tree
 
Reported: 2008-02-16 14:23 by
Modified: 2008-05-06 17:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-16 14:23:31
Есть просьба, которая как минимум для ALTSP/Линукс Терминал и Server/Office
Server напоминает критичную:

  при обнаружении двух жёстких дисков одинакового объёма
  и выборе режима "снести всё, установить по умолчанию"
  создавать для указанных в профиле ФС не разделы, а зеркала

Цель: повышение надёжности в условиях того, что диски -- скорее расходники.

Обоснование необходимости: удобство разворачивания упомянутых дистрибутивов в
немалой степени лимитируется временем и вниманием на создание зеркалированных
корня и раздела с данными; как минимум для школьного терминального сервера два
диска -- часть рекомендованной конфигурации.

Было бы крайне здорово не документировать применение blonde.scm по типовому
железу, а автоматизировать эту рутинную операцию.
------- Comment #1 From 2008-03-28 14:54:18 -------
я закоммитил в гит следующие изменения:
- добавлена обработка метода raid из профиля,
  для такого раздела будет произведена попытка
  создать raid1 или raid5, в зависимости от его точки
  монтирования и доступных дисков; очистка всех дисков
  для такого метода необязательна, хотя и желательна
- добавлен ещё один вход в /vm, /vm/lucky,
  который производит очистку всех дисков и применяет
  первый из обнаруженных профилей.

мнения ?
------- Comment #2 From 2008-03-28 19:38:49 -------
fixed in 0.3-alt24 [hope]
------- Comment #3 From 2008-05-04 16:44:35 -------
Угу, только было бы совсем здорово при отказе от потери всех данных или при
обломе авторазбивки (например, по нехватке объёма) уметь откатываться на
ручник.

Но это уже другая сказка -- её вешать? (aen@ и cas@ сильно хотят нечто подобное
в школьный дистр, насколько понимаю; ну и в таком виде могло бы быть более
пригодно для других полу-appliance дистров)
------- Comment #4 From 2008-05-04 17:17:34 -------
lucky именно для applince, поэтому ручника там не будет.
кстати, диски там чистятся без расспросов -- и так оно и останется.
всяческие промежуточные варианты можно, в конце концов, делать самому
в инсталлере, используя от /vm только бакенд.
------- Comment #5 From 2008-05-04 17:23:35 -------
Это другая сказка, да, вешать. /vm/lucky в качестве единственной возможности
даже в штатном LTSP ставить плохо, не говоря о школьном Линукс-Терминале.
------- Comment #6 From 2008-05-04 17:33:34 -------
в /vm уже есть _три_ входа, а четвёртому не бывать.
вешайте на свои инсталляторы, если имеющегося недостаточно.
------- Comment #7 From 2008-05-06 16:27:30 -------
(In reply to comment #5)
> Это другая сказка, да, вешать.
Bug #15558

> /vm/lucky в качестве единственной возможности даже в штатном LTSP 
> ставить плохо, не говоря о школьном Линукс-Терминале.
Не совсем плохо для любого сервера, а если с фолбэком на /vm/orthodox -- IMHO
очень даже хорошо.  Сервер с дуалбутом -- это недоразумение, а не сервер.

Ну и конкретно для Линукс Терминал даже исключительно /vm/lucky кажется уже
намного лучшим вариантом, чем любое создание рейдов на рекомендованной
конфигурации руками.

(In reply to comment #6)
> в /vm уже есть _три_ входа, а четвёртому не бывать.
Ну так есть же сам /vm. :)  Напрашивается нулевым.

> вешайте на свои инсталляторы, если имеющегося недостаточно.
И что, каждому изобретать систему костылей и подпорок, чтобы предоставить всё
богатство имеющейся функциональности (ну или хотя бы два из трёх)?..

Кстати, если /vm/blonde обламывается -- тоже хорошо бы уезжать на /vm/ortodox, м?
------- Comment #8 From 2008-05-06 16:48:21 -------
> вешайте на свои инсталляторы, если имеющегося недостаточно.
И что, каждому изобретать систему костылей и подпорок, чтобы предоставить всё
богатство имеющейся функциональности (ну или хотя бы два из трёх)?..

какую систему ? нарисовать на свой лад /vm/mike, где представить
в соответствии со своими преставлениями несколько опций, которые уйдут в 
бакенд ?
их всего-то:
- имя профиля из файла профилей (server/workstation/whatever -- для ortodox, 
прочие берут самый первый автомагически)
- сносить/не сносить всё;
- какие диски исключить из рассмотрения;
- коммитить ли сразу всё или дать взглянуть на результат.

сколько ещё вариантов задания этих четырёх параметров можно придумать ?
наверное много, но без меня.

'Кстати, если /vm/blonde обламывается -- тоже хорошо бы уезжать на /vm/ortodox'
 -- чтобы что ?